Issue 121638 - Add EURO as default currency for Estonian-Estonian (et-EE)
Add EURO as default currency for Estonian-Estonian (et-EE)
Status: CLOSED FIXED
Product: Internationalization
Classification: Code
Component: localedata
3.4.1
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: Ariel Constenla-Haile
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 11:41 UTC by qbicdesign
Modified: 2013-02-26 03:02 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: 3.4.1
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description qbicdesign 2013-01-17 11:41:33 UTC

    
Comment 1 qbicdesign 2013-01-17 11:48:03 UTC
Estonia switched to Euro on 1st Jan 2011.
In OO.o 3.4.0 Writer, when choosing a number format for a table cell, Estonian currency is presented in kr (Estonian Kroon). This must now be replaced by Euro.

Current workaround is to select Finnish Euro which follows the same comma, decimal and spacing rules as Estonian Euro.
Comment 2 qbicdesign 2013-01-17 11:48:56 UTC
I haven't tested yet if the same is true for the other OO.org apps, but I assume so.
Comment 3 Ariel Constenla-Haile 2013-01-17 12:40:19 UTC
(In reply to comment #1)
> Estonia switched to Euro on 1st Jan 2011.
> In OO.o 3.4.0 Writer, when choosing a number format for a table cell,
> Estonian currency is presented in kr (Estonian Kroon). This must now be
> replaced by Euro.

That locale setting is defined here: 
http://svn.apache.org/viewvc/openoffice/trunk/main/i18npool/source/localedata/data/et_EE.xml?revision=1413471&view=markup#l333

333 	<LC_CURRENCY>
334 	<Currency default="true" usedInCompatibleFormatCodes="true">
335 	<CurrencyID>EEK</CurrencyID>
336 	<CurrencySymbol>kr</CurrencySymbol>
337 	<BankSymbol>EEK</BankSymbol>
338 	<CurrencyName>kroon</CurrencyName>
339 	<DecimalPlaces>2</DecimalPlaces>
340 	</Currency>
341 	</LC_CURRENCY>


> Current workaround is to select Finnish Euro 

fi-FI is defined here:
http://svn.apache.org/viewvc/openoffice/trunk/main/i18npool/source/localedata/data/fi_FI.xml?revision=1413471&view=markup#l327

AS you see, the proper way is not to replace the old, but to add a new one, set it as the default, and keep the old as non-default:

327 	<LC_CURRENCY>
328 	<Currency default="true" usedInCompatibleFormatCodes="false">
329 	<CurrencyID>EUR</CurrencyID>
330 	<CurrencySymbol>€</CurrencySymbol>
331 	<BankSymbol>EUR</BankSymbol>
332 	<CurrencyName>euro</CurrencyName>
333 	<DecimalPlaces>2</DecimalPlaces>
334 	</Currency>
335 	<Currency default="false" usedInCompatibleFormatCodes="true">
336 	<CurrencyID>FIM</CurrencyID>
337 	<CurrencySymbol>mk</CurrencySymbol>
338 	<BankSymbol>FIM</BankSymbol>
339 	<CurrencyName>Suomen markka</CurrencyName>
340 	<DecimalPlaces>2</DecimalPlaces>
341 	</Currency>
342 	</LC_CURRENCY>

> which follows the same comma, decimal and spacing rules as Estonian Euro.

As far as I know, the locale currency setting only defined the the decimal places (as you can see in the definition above), the comma is taking from other locale setting (LC_CTYPE/Separators).


Can you confirm that all the settings in this currency are fine for Estonian?

<CurrencyID>EUR</CurrencyID>
<CurrencySymbol>€</CurrencySymbol>
<BankSymbol>EUR</BankSymbol>
<CurrencyName>euro</CurrencyName>
<DecimalPlaces>2</DecimalPlaces>
Comment 4 Ariel Constenla-Haile 2013-01-17 12:43:41 UTC
Adapting bug title.
Comment 5 SVN Robot 2013-01-23 23:29:29 UTC
"arielch" committed SVN 0 into trunk:
i121638 - Add EURO as default currency for et-EE
Comment 6 Ariel Constenla-Haile 2013-01-23 23:30:00 UTC
Fixed on trunk
Comment 7 Yurggent Alfredo Chable Torrez 2013-02-26 03:02:21 UTC
This has been resolved, now has 2 formats to choose. I tested in AOO 3.4.1 and 4.0
Regars

Yurggent Alfredo